<?php
	/*
	Template Name: Blog
	*/
	get_header();
?>

<?php while (have_posts()) : the_post(); ?>

<?php
	if (the_post_thumbnail('cpt_page_banner')) {
?>
	<figure class="page-banner">
		<?php the_post_thumbnail('cpt_page_banner'); ?>
	</figure>
<?php
	}
?>

<article class="t-page">
	<header class="p-header">
		<h1 class="p-title"><?php the_title(); ?></h1>
	</header>
	
	<div class="p-content">
		<?php the_content(); ?>
		<span class="clear"></span>
		<?php edit_post_link('Edit'); ?>
	</div>
</article>	
<?php
	wp_reset_postdata();
	endwhile;
?>

<div class="blog-column">
<?php
	$post_args = array(
		'post_type' => 'post',
		'post_count' => 7
	);
	
	$blog_posts = new WP_Query($post_args);
	
	while ($blog_posts->have_posts()) : $blog_posts -> the_post();
	
	// Enables use of <!--more--> tag
	// REF: http://codex.wordpress.org/Customizing_the_Read_More
	global $more;
	$more = 0;
?>
	<article id="p-<?php the_ID(); ?>" class="p-archive t-post">
		<header class="p-header">
			<h1 class="p-archive-title p-title"><a class="p-title-link" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
			<p class="p-archive-header-meta p-header-meta">
				<span class="p-byline"><em>By</em> <strong class="p-author"><?php the_author_posts_link(); ?></strong></span>
				<time class="p-publish-date" datetime="<?php the_time('Y-m-d'); ?>" pubdate><?php the_time('M d, Y'); ?></time>
			</p>
		</header>
		
		<div class="p-archive-summary p-content">
			<?php the_content('More &rarr;'); ?>
			<span class="clear"></span>
			<?php wp_link_pages(array('before' => '<div class="pagination-links">' . 'Pages:', 'after' => '</div>')); ?>
			<?php //edit_post_link('Edit'); ?>
		</div>
		
		<footer class="p-meta">
			<?php
				// If there are categories
				if (has_category()) {
			?>
				<p class="p-meta-block">
					<span class="meta-label">Category</span>
					<?php the_category(', '); ?>
				</p>
			<?php
				}
			?>
			
			<?php
				if (has_tag()) {
			?>
				<p class="p-meta-block">
					<span class="meta-label">Tags</span>
					<?php the_tags('', ', '); ?>
				</p>
			<?php
				}
			?>
			
			<p class="p-comments p-meta-block">
				<?php comments_popup_link('', '1', '%'); ?>
			</p>
			
			<span class="clear"></span>
		</footer>
	</article>
<?php
	endwhile;
	wp_reset_postdata(); 
?>
</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>