<?php
/* --------
   COMMENTS TEMPLATE
   - This displays the current comments and the comment form.
     The individual comments are displayed via the 
     cpt_comment() function located in functions.php.
   - Much of this code was taken from the Twenty Eleven theme.
   --------
*/
?>

<aside id="comments" class="comments-area">
	<?php if ( post_password_required() ) : ?>
		<p class="nopassword"><?php echo 'This post is password protected. Enter the password to view any comments.'; ?></p>
	</aside><!-- #comments -->
	<?php
			/* Stop the rest of comments.php from being processed,
			 * but don't kill the script entirely -- we still have
			 * to fully load the template.
			 */
			return;
		endif;
	?>

	<?php // You can start editing here -- including this comment! ?>

	<?php if (have_comments()) : ?>
		<header>
			<h2 class="comments-title">
			<?php
				printf( _n('One comment', '%1$s comments', get_comments_number(), 'cpt' ),
					number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
			?>
			</h2>
		</header>

		<?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // are there comments to navigate through ?>
		<nav id="comment-nav-above">
			<div class="nav-previous"><?php previous_comments_link('&larr; Older Comments'); ?></div>
			<div class="nav-next"><?php next_comments_link('Newer Comments &rarr;'); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

		<ol class="comment-list">
			<?php
				/* Loop through and list the comments. Tell wp_list_comments()
				 * to use twentyeleven_comment() to format the comments.
				 * If you want to overload this in a child theme then you can
				 * define twentyeleven_comment() and that will be used instead.
				 * See twentyeleven_comment() in twentyeleven/functions.php for more.
				 */
				wp_list_comments(array( 'callback' => 'cpt_comment'));
			?>
		</ol>

		<?php if (get_comment_pages_count() > 1 && get_option('page_comments')) : // are there comments to navigate through ?>
		<nav id="comment-nav-below">
			<div class="nav-previous"><?php previous_comments_link('&larr; Older Comments'); ?></div>
			<div class="nav-next"><?php next_comments_link('Newer Comments &rarr;'); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

	<?php
		/* If there are no comments and comments are closed, let's leave a little note, shall we?
		 * But we don't want the note on pages or post types that do not support comments.
		 */
		elseif (!comments_open() && !is_page() && post_type_supports(get_post_type(), 'comments')) :
	?>
		<p class="no-comments"><!--<em>Comments are closed.</em>--></p>
	<?php endif; ?>

	<?php comment_form(); ?>
	
	<span class="clear"></span>
</aside><!-- .comments-area -->
