<?php get_header(); ?>

<?php
	// Access our theme options
	$hp_options = get_option('cpt_theme_options');
	
	$cpt_disp_home_msg = $hp_options['cpt_disp_home_msg'];
	$cpt_home_msg = $hp_options['cpt_home_msg'];
	$cpt_disable_home_all = $hp_options['cpt_disable_home_all'];
?>

<?php
	if ($cpt_disable_home_all == "cpt_disable_all") {
	}
	elseif ($cpt_disp_home_msg == "cpt_display_msg") {
?>
	<div class="home-msg-area billboard-area">
		<h1 class="home-msg"><?php echo $cpt_home_msg; ?></h1>
	</div>
<?php
	}
	else {
?>
	<div class="billboard-area">
	<?php
		$post_counter = 1;
		
		$post_args = array(
			'post_type' => 'cpt_billboards',
			'post_count' => 7
		);
		
		// Notice that we run the loop twice.
		// Once for the thumbnails and once for the main billboards.
		
		$posts = new WP_Query($post_args);
	?>
	
		<ul class="billboard-tabs">
		<?php
			while ($posts->have_posts()) : $posts -> the_post();
		?>
			<li class="<?php if ($post_counter == 1) echo 'billboard-tab-active '; ?>billboard-tab"><a class="billboard-tab-link-<?php echo $post_counter; ?> billboard-tab-link" href="#billboard-<?php echo $post_counter; ?>"><?php the_post_thumbnail('cpt_billboard_thumb'); ?></a></li>
		<?php
			$post_counter++;
			endwhile;
		?>
		</ul>
		
		<div class="billboards">
		<?php
			// Reset post counter from above.
			$post_counter = 1;
			while ($posts->have_posts()) : $posts -> the_post();
		?>
			<figure id="billboard-<?php echo $post_counter; ?>" class="<?php if ($post_counter == 1) echo 'billboard-active '; ?> billboard billboard-<?php echo $post_counter; ?>">
				<?php the_post_thumbnail('cpt_billboard_main'); ?>
			</figure>
		<?php
			$post_counter++;
			endwhile;
		?>
		</div>
		
		<span class="clear"></span>
	
		<?php wp_reset_postdata(); ?>
	</div>
<?php
	}
?>

<div class="middle-area">	
<?php
	$post_args = array(
		'post_type' => 'cpt_sermons',
		'posts_per_page' => 1
	);
	
	$posts = new WP_Query($post_args);
	if ($posts->have_posts()) :
?>

	<div class="featured-sermons">
	<div class="featured-sermons-content">
		<h5 class="home-block-label block-label"><span class="home-block-label-content block-label-content">Featured Sermon</span></h5>

	<?php
		while ($posts->have_posts()) : $posts->the_post();
	
		$cpt_sermon_meta_scripture = get_post_meta($post->ID, 'cpt_sermon_meta_scripture', true);
		$cpt_sermon_meta_main_notes_link = get_post_meta($post->ID, 'cpt_sermon_meta_main_notes_link', true);
		//$cpt_sermon_meta_main_devo_link = get_post_meta($post->ID, 'cpt_sermon_meta_main_devo_link', true);
		$cpt_sermon_meta_video = get_post_meta($post->ID, 'cpt_sermon_meta_video', true);
		//$cpt_sermon_meta_artwork = get_post_meta($post->ID, 'cpt_sermon_meta_artwork', true);
		$cpt_download_enclosure = get_post_meta($post->ID, 'cpt_download_enclosure', true);
		
		$cpt_sermon_series = get_the_terms($post->ID, 'cpt_sermon_series');
		$cpt_scripture = get_the_terms($post->ID, 'cpt_bible_books');
	?>

		<section id="p-<?php the_ID(); ?>" class="sermon-home t-sermon t-post">
			<div class="s-primary">
				<?php
					// Output radial audio player
					if (function_exists('sm2_template')) { sm2_template(); }
				?>
			</div>
			
			<div class="s-secondary">
				<header class="s-header">
					<h1 class="s-title"><a class="p-title-link" href="<?php the_permalink(); ?>" title="Go to the permalink page for this sermon."><?php the_title(); ?></a></h1>
					<p class="s-byline"><span class="s-byline-label">By</span> <strong class="p-author"><?php the_author_posts_link(); ?></strong></p>
					<p class="s-byline"><time class="p-publish-date" datetime="<?php the_time('Y-m-d'); ?>" pubdate><?php the_time('l, F j, Y'); ?></time></p>
					
					<?php if ($cpt_sermon_series) { ?>
					<p class="s-byline">
						<span class="s-byline-label">Sermon Series</span>
						<?php
							foreach ($cpt_sermon_series as $cpt_ss) {
						?>
							<a class="s-series-link" href="<?php bloginfo('url'); ?>/series/<?php echo $cpt_ss->slug; ?>"><?php echo $cpt_ss->name; ?></a>
						<?php
							}
						?>
					</p>
					<?php } ?>
					
					<?php if ($cpt_scripture) { ?>
					<p class="s-byline">
						<span class="s-byline-label">Scripture</span>
						<?php
							foreach ($cpt_scripture as $cpt_bb) {
						?>
							<a class="s-scripture-link" href="<?php bloginfo('url'); ?>/bible/book/<?php echo $cpt_bb->slug; ?>"><?php echo $cpt_bb->name; ?></a>
						<?php
							}
						?>
					</p>
					<?php } ?>
					
					<?php
						if ($cpt_download_enclosure == "AllowDownload") {
							$enclosure = get_post_meta($post->ID, 'enclosure', true);	// Expect one enclosure
							$enclosure = split("\n", $enclosure); // parse wp enclosure (url, length, and type separated by \n)
							$enclosure = trim(htmlspecialchars($enclosure[0])); // take and clean up first item
					?>
							<p class="s-byline-audio s-byline">
								<a class="download-sermon-notes download-link" href="<?php echo $enclosure; ?>" title="Download this sermon">Download sermon</a> 
							</p>
					<?php
						}
					?>
					<?php if ($cpt_sermon_meta_main_notes_link) { ?>
					<p class="s-byline-notes s-byline">
						<a class="download-sermon-notes download-link" href="<?php echo $cpt_sermon_meta_main_notes_link; ?>" title="Download sermon notes">Sermon notes</a> 
					</p>
					<?php } ?>
				</header>
				
				<?php
					if ($cpt_sermon_meta_video) {
				?>
					<div class="s-video">
						<?php echo $cpt_sermon_meta_video; ?>
					</div>
				<?php
					}
				?>
			
				<div class="s-summary s-content p-content">
					<?php the_excerpt(); ?>
					<span class="clear"></span>
					<?php wp_link_pages(array('before' => '<div class="pagination-links">' . 'Pages:', 'after' => '</div>')); ?>
					<a class="s-more-link more-link p-permalink" href="<?php the_permalink(); ?>" title="Permalink to this post.">More &rarr;</a>
					<?php //edit_post_link('Edit'); ?>
				</div>
			</div>
			
			<span class="clear"></span>
		
			<footer class="s-meta p-meta">
			</footer>
		</section>
	
	<?php
		endwhile;
		wp_reset_postdata();
	?>
	
	<?php
		$cpt_sermon_series = get_terms('cpt_sermon_series', 'hide_empty=0&orderby=id$order=DESC');
		$cpt_count = count($cpt_sermon_series);
		
		if ($cpt_count > 0) {
			foreach ($cpt_sermon_series as $cpt_ss) {
				$cpt_term_id_get = 'taxonomy_' . $cpt_ss->term_id;
				$cpt_ss_extra = get_option($cpt_term_id_get);
			
				if ($cpt_ss_extra['cpt_term_current_series'] == "current-series") {
	?>
					<div class="current-series-feature">
						<span class="home-series-label">Current Sermon Series</span>
						<p class="home-series-feature">
							<a class="cpt-ss-link" href="<?php bloginfo('url'); ?>/series/<?php echo $cpt_ss->slug; ?>/" title="<?php echo $cpt_ss->name; ?> series">
							<?php
								if ($cpt_ss_extra['cpt_term_image_url']) {
							?>
									<img class="cpt-ss-image" src="<?php echo $cpt_ss_extra['cpt_term_image_url']; ?>" alt="<?php echo esc_attr_e($cpt_ss->name); ?>" />
							<?php
								}
								else {
							?>
									<span class="cpt-ss-name"><?php echo $cpt_ss->name; ?></span> <?php /*<span class="post-count"><?php echo $cpt_ss->count; ?></span>*/ ?>
							<?php
								}
							?>
							</a>
						</p>
						
						<span class="clear"></span>
					</div>
	<?php
				}
			}
		}
	?>
	</div> <!-- .featured-sermons-content -->
	</div> <!-- .featured-sermons -->
	<?php endif; ?>
	
	<div class="featured-widget-area">
		<?php if (!dynamic_sidebar('cpt-hp-mid-r')) : ?>
		<?php endif; ?>
	</div>
	
	<span class="clear"></span>
</div> <!-- .middle-area -->

<div class="pre-footer">
<div class="hp-bottom-cols">
	<?php if (!dynamic_sidebar('cpt-hp-col-bl')) : ?>
	<?php endif; ?>
	
	<?php if (!dynamic_sidebar('cpt-hp-col-bm')) : ?>
	<?php endif; ?>
	
	<?php if (!dynamic_sidebar('cpt-hp-col-br')) : ?>
	<?php endif; ?>
	
	<span class="clear"></span>
</div> <!-- .hp-bottom-cols -->
</div> <!-- .pre-footer -->

<span class="clear"></span>

<?php get_footer(); ?>