<?php
/*
Template Name: Leadership
*/

get_header();
?>

<?php while (have_posts()) : the_post(); ?>

<div class="leadership-page t-page">
	<article>
		<header class="p-header">
			<h1 class="p-title"><?php the_title(); ?></h1>
		</header>
		
		<div class="p-content">
			<?php the_content(); ?>
			<span class="clear"></span>
			<?php edit_post_link('Edit'); ?>
		</div>
	</article>
	
	<?php endwhile; ?>
	
	<div class="leadership">
		<?php
			// Get user profiles
			$cpt_leadership_team = get_users('meta_key=cpt_is_user_leadership_team&meta_value=Leadership%20Team&orderby=display_name');
			foreach ($cpt_leadership_team as $cpt_leader) {
			
			$cpt_author_posts_url = get_author_posts_url($cpt_leader->ID);
		?>
			<section class="person">
				<header>
					<a class="person-gravatar" href="<?php echo $cpt_author_posts_url; ?>"><?php echo get_avatar($cpt_leader->user_email, 60); ?></a>
	
					<hgroup class="person-id">
						<h1 class="person-name"><a href="<?php echo $cpt_author_posts_url; ?>"><?php echo $cpt_leader->display_name; ?></a></h1>
						<h2 class="person-title"><?php echo get_the_author_meta('cpt_position_title', $cpt_leader->ID); ?></h2>
					</hgroup>
					
					<?php
						$cpt_leader_facebook = get_the_author_meta('facebook', $cpt_leader->ID);
						$cpt_leader_twitter = get_the_author_meta('twitter', $cpt_leader->ID);
						
						if ($cpt_leader_facebook || $cpt_leader_twitter) {
					?>
						<ul class="person-smis social-media-icons">
							<?php
								if ($cpt_leader_facebook) {
							?>
									<li class="person-smi social-media-icon"><a class="person-smi-link social-media-icon-link" href="<?php echo $cpt_leader_facebook; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/facebook-16x16.png" width="16" height="16" alt="Facebook" /></a></li>
							<?php
								}
								if ($cpt_leader_twitter) {
							?>
									<li class="person-smi social-media-icon"><a class="person-smi-link social-media-icon-link" href="<?php echo $cpt_leader_twitter; ?>"><img src="<?php bloginfo('template_directory'); ?>/images/twitter-16x16.png" width="16" height="16" alt="Twitter" /></a></li>
							<?php
								}
							?>
						</ul>
					<?php } ?>
					
					<span class="clear"></span>
				</header>
				
				<div class="person-bio-summary">
					<?php echo wpautop(get_the_author_meta('description', $cpt_leader->ID)); ?>
				</div>
			</section>
		<?php
			}
		?>
		
		<span class="clear"></span>
	</div> <!-- .leadership -->
</div> <!-- .leadership-page -->

<?php get_template_part('page','subnav'); ?>

<span class="clear"></span>

<?php get_footer(); ?>