<?php
	$cpt_sermon_meta_scripture = get_post_meta($post->ID, 'cpt_sermon_meta_scripture', true);
	$cpt_sermon_meta_main_notes_link = get_post_meta($post->ID, 'cpt_sermon_meta_main_notes_link', true);
	//$cpt_sermon_meta_main_devo_link = get_post_meta($post->ID, 'cpt_sermon_meta_main_devo_link', true);
	$cpt_sermon_meta_video = get_post_meta($post->ID, 'cpt_sermon_meta_video', true);
	//$cpt_sermon_meta_artwork = get_post_meta($post->ID, 'cpt_sermon_meta_artwork', true);
	$cpt_download_enclosure = get_post_meta($post->ID, 'cpt_download_enclosure', true);
	
	$cpt_sermon_series = get_the_terms($post->ID, 'cpt_sermon_series');
	$cpt_scripture = get_the_terms($post->ID, 'cpt_bible_books');
?>

<div class="t-sermon t-post">
	<section id="p-<?php the_ID(); ?>">	
		<div class="s-primary">
			<?php
				// Output radial audio player
				if (function_exists('sm2_template')) { sm2_template(); }
			?>
		</div>
		
		<div class="s-secondary">
			<header class="s-header">
				<h1 class="s-title"><a class="p-title-link" href="<?php the_permalink(); ?>" title="Go to the permalink page for this sermon."><?php the_title(); ?></a></h1>
				<p class="s-byline"><span class="s-byline-label">By</span> <strong class="p-author"><?php the_author_posts_link(); ?></strong></p>
				<p class="s-byline">
					<span class="s-byline-label">Preached on</span>
					<time class="p-publish-date" datetime="<?php the_time('Y-m-d'); ?>" pubdate><?php the_time('l, F j, Y'); ?></time>
				</p>
				
				<?php if ($cpt_sermon_series) { ?>
				<p class="s-byline">
					<span class="s-byline-label">Sermon Series</span>
					<?php
						foreach ($cpt_sermon_series as $cpt_ss) {
					?>
						<a class="s-series-link" href="<?php bloginfo('url'); ?>/series/<?php echo $cpt_ss->slug; ?>"><?php echo $cpt_ss->name; ?></a>
					<?php
						}
					?>
				</p>
				<?php } ?>
				
				<?php if ($cpt_scripture) { ?>
				<p class="s-byline">
					<span class="s-byline-label">Scripture</span>
					<?php
						foreach ($cpt_scripture as $cpt_bb) {
					?>
						<a class="s-scripture-link" href="<?php bloginfo('url'); ?>/bible/book/<?php echo $cpt_bb->slug; ?>"><?php echo $cpt_bb->name; ?></a>
					<?php
						}
					?>
				</p>
				<?php } ?>
				
				<?php
					if ($cpt_download_enclosure == "AllowDownload") {
						$enclosure = get_post_meta($post->ID, 'enclosure', true);	// Expect one enclosure
						$enclosure = split("\n", $enclosure); // parse wp enclosure (url, length, and type separated by \n)
						$enclosure = trim(htmlspecialchars($enclosure[0])); // take and clean up first item
				?>
						<p class="s-byline-audio s-byline">
							<a class="download-sermon-notes download-link" href="<?php echo $enclosure; ?>" title="Download this sermon">Download sermon</a> 
						</p>
				<?php
					}
				?>
				<?php if ($cpt_sermon_meta_main_notes_link) { ?>
				<p class="s-byline-notes s-byline">
					<a class="download-sermon-notes download-link" href="<?php echo $cpt_sermon_meta_main_notes_link; ?>" title="Download sermon notes">Sermon notes</a> 
				</p>
				<?php } ?>
			</header>
			
			<?php
				if ($cpt_sermon_meta_video) {
			?>
				<div class="s-video">
					<?php echo $cpt_sermon_meta_video; ?>
				</div>
			<?php
				}
			?>
		
			<div class="s-content p-content">
				<?php the_content(); ?>
				<span class="clear"></span>
				<?php wp_link_pages(array('before' => '<div class="pagination-links">' . 'Pages:', 'after' => '</div>')); ?>
				<?php //edit_post_link('Edit'); ?>
			</div>
		</div>
		
		<?php /*
		<div class="s-tertiary">
		<?php
			if ($cpt_sermon_meta_artwork) {
		?>
			<p class="s-artwork">
				<img src="<?php echo $cpt_sermon_meta_artwork; ?>" alt="<?php the_title_attribute(); ?>" />
			</p>
		<?php
			}
		?>
		</div>
		*/ ?>
		<span class="clear"></span>
	
		<footer class="s-meta p-meta">
			<?php if (has_tag()) { ?>
			<p class="p-meta-block">
				<span class="meta-label">Tags</span>
				<?php the_tags('', ', '); ?>
			</p>
			<?php } ?>
			
			<span class="clear"></span>
		</footer>
	</section>
	
	<?php
		if (is_single()) {
			comments_template('', true);
		}
	?>
</div> <!-- .t-sermon -->