<?php
/*
Template Name: Location
*/

	get_header();

	$loc_options = get_option('cpt_theme_options');
	$cpt_loc_map_embed = $loc_options['cpt_loc_map_embed'];

	$cpt_info_primary_email = $loc_options['cpt_info_primary_email'];
	$cpt_info_phone = $loc_options['cpt_info_phone'];
	$cpt_info_church_name = $loc_options['cpt_info_church_name'];
	$cpt_info_address_1 = $loc_options['cpt_info_address_1'];
	$cpt_info_address_2 = $loc_options['cpt_info_address_2'];
	$cpt_info_city = $loc_options['cpt_info_city'];
	$cpt_info_state = $loc_options['cpt_info_state'];
	$cpt_info_zip = $loc_options['cpt_info_zip'];
?>

<?php while (have_posts()) : the_post(); ?>

<?php the_post_thumbnail('cpt_page_banner'); ?>

<article class="locations-page t-page">
	<header class="p-header">
		<h1 class="p-title"><?php the_title(); ?></h1>
	</header>
	
	<div class="locations-content p-content">
		<?php the_content(); ?>
		
		<address class="p-loc-church-address church-address">
			<?php if ($cpt_info_church_name) { ?><strong><?php echo $cpt_info_church_name; ?></strong> <?php } ?>
			<?php if ($cpt_info_address_1) { ?><span class="church-address-street"><?php echo $cpt_info_address_1; ?></span> <?php } ?>
			<?php if ($cpt_info_address_2) { ?><span class="church-address-street"><?php echo $cpt_info_address_2; ?></span> <?php } ?>
			<?php if ($cpt_info_city || $cpt_info_state) { ?>
				<span class="church-address-locality">
					<?php
						if ($cpt_info_city && $cpt_info_state) {
							echo $cpt_info_city . ', ' . $cpt_info_state;
						}
						else {
							echo $cpt_info_city;
							echo $cpt_info_state;
						}
					?>
				</span>
			<?php } ?>
			<?php if ($cpt_info_zip) { ?><span class="church-address-locality"><?php echo $cpt_info_zip; ?></span> <?php } ?>
		</address>
		
		<div class="p-loc-church-contact-details church-contact-details">
			<?php if ($cpt_info_phone) { ?><span class="church-contact-telephone"><?php echo $cpt_info_phone; ?></span> <?php } ?>
			<?php if ($cpt_info_primary_email) { ?><span class="church-contact-email"><?php echo $cpt_info_primary_email; ?></span> <?php } ?>
		</div>
		
		<span class="clear"></span>
		<?php edit_post_link('Edit'); ?>
	</div>
	
	<?php
		if ($cpt_loc_map_embed) {
	?>
		<div class="map-embed">
			<?php echo $cpt_loc_map_embed; ?>
		</div>
	<?php
		}
	?>
	
	<span class="clear"></span>
</article>

<?php endwhile; ?>

<span class="clear"></span>

<?php get_footer(); ?>