<?php
/* --------
   Credits for this method and some of the code below goes to the Twenty Ten Theme.
*/
?>

<?php
/* --------
   Displays post navigation at the top if necessary.
*/
?>
<?php if ($wp_query->max_num_pages > 1) { ?>
<nav class="post-nav-beginning post-nav">
  <ul class="post-nav-list">
    <li class="post-nav-previous"><?php next_posts_link('<span class="meta-nav-action">&#8592;</span> <span class="meta-nav-label">Older posts</span>'); ?></li>
    <li class="post-nav-next"><?php previous_posts_link('<span class="meta-nav-label">Newer posts</span> <span class="meta-nav-action">&#8594;</span>'); ?></li>
  </ul>
  
  <span class="clear"></span>
</nav>
<?php } ?>

<?php
/* --------
   Displays an error message if there are no posts to display.
   (A blank archive page for example. This won't happen often.)
*/
?>
<?php if (!have_posts()) : ?>
<div <?php post_class(); ?>>
<article id="post-<?php the_ID(); ?>" class="p-archive t-post">
	<header class="p-header">
		<h1 class="p-archive-title p-title">Sorry!</h1>
	</header>
	
	<div class="p-archive-summary p-content">
		<?php if (is_search()) { ?>
			<p>There were no posts found for &#8220;<?php echo get_search_query(); ?>&#8221;. Try searching for something else or contacting someone from the website.</p>
		<?php
		}
		else {
		?>
			<p>There were no posts found for this archive request. Try searching the site or contact someone from the website.</p>
		<?php
		}
		?>
		
		<?php get_search_form(); ?>
	</div>
</article>
</div> <!-- Displays post class -->
<?php endif; ?>

<?php
/* --------
   This is the loop that runs through the posts requested by
   the archive page (category page, date page, tag page, 
   search query, etc.).
*/
?>
<?php while (have_posts()) : the_post(); ?>

<div <?php post_class(); ?>>
<article id="post-<?php the_ID(); ?>" class="p-archive t-post">
	<header class="p-header">
		<h1 class="p-archive-title p-title"><a class="p-title-link" href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
		<p class="p-archive-header-meta p-header-meta">
			<span class="p-byline"><em>By</em> <strong class="p-author"><?php the_author_posts_link(); ?></strong></span>
			<time class="p-publish-date" datetime="<?php the_time('Y-m-d'); ?>" pubdate><?php the_time('M d, Y'); ?></time>
		</p>
	</header>
	
	<div class="p-archive-summary p-content">
		<?php the_excerpt(); ?>
		<span class="clear"></span>
		<a class="p-more-link" href="<?php the_permalink(); ?>" title="Permalink to this post.">More &rarr;</a>
		<?php wp_link_pages(array('before' => '<div class="pagination-links">' . 'Pages:', 'after' => '</div>')); ?>
		<?php //edit_post_link('Edit'); ?>
	</div>
	
	<footer class="p-meta">
		<?php
			// If there are categories
			if (has_category()) {
		?>
			<p class="p-meta-block">
				<span class="meta-label">Category</span>
				<?php the_category(', '); ?>
			</p>
		<?php
			}
		?>
		
		<?php
			$tags_list = get_the_tag_list('', ', ');
			
			// If there are tags
			if ($tags_list) {
		?>
			<p class="p-meta-block">
				<span class="meta-label">Tags</span>
				<?php echo $tags_list; ?>
			</p>
		<?php
			}
		?>
		
		<?php
			if (comments_open()) {
		?>
			<p class="p-comments p-meta-block">
				<?php comments_popup_link('', '1', '%'); ?>
			</p>
		<?php
			}
		?>
		
		<span class="clear"></span>
	</footer>
</article>
</div> <!-- Displays post class -->
<?php endwhile; ?>

<span class="clear"></span>

<?php
/* --------
   Displays post navigation at the bottom if necessary.
*/
?>
<?php if ($wp_query->max_num_pages > 1) { ?>
<nav class="post-nav-end post-nav">
  <ul class="post-nav-list">
    <li class="post-nav-previous"><?php next_posts_link('<span class="meta-nav-action">&#8592;</span> <span class="meta-nav-label">Older posts</span>'); ?></li>
    <li class="post-nav-next"><?php previous_posts_link('<span class="meta-nav-label">Newer posts</span> <span class="meta-nav-action">&#8594;</span>'); ?></li>
  </ul>
    
  <span class="clear"></span>
</nav>
<?php } ?>